import { LoggerModes } from 'jet-logger';
import { IDecisionTable } from './decision-table';
declare let logger: {
    readonly settings: {
        readonly mode: LoggerModes;
        readonly filePath: string;
        readonly timestamp: boolean;
        readonly format: import("jet-logger").Formats;
        readonly customLogger: import("jet-logger").TCustomLogger | undefined;
    };
    readonly info: (this: any, content: any, printFull?: boolean | undefined) => void;
    readonly imp: (this: any, content: any, printFull?: boolean | undefined) => void;
    readonly warn: (this: any, content: any, printFull?: boolean | undefined) => void;
    readonly err: (this: any, content: any, printFull?: boolean | undefined) => void;
};
export declare type TPrimitive = boolean | number | null | string;
declare type TObject = Record<string, any>;
export declare type TRow = {
    [key in `field${number}`]: string;
};
export declare type TFactsHolder = Record<string, TObject[]>;
declare type TImportsHolder = Record<string, TObject>;
export declare type TFactsArr = TFactsHolder[keyof TFactsHolder];
export declare type TFact = TFactsArr[number];
export declare type TLogger = typeof logger;
interface ITrool {
    csvImports: TImportsHolder;
    decisionTables: IDecisionTable[];
    applyRules: typeof applyRules;
}
export default function trool(filePathOrContent: string, initFromString?: boolean, showLogs?: boolean): Promise<ITrool>;
declare function applyRules<T extends TObject>(this: ITrool, factsHolder: T, memImports?: TImportsHolder): T;
export {};
